Crypto.Hash

# Types

class HashAlgorithm a

type HashFunctionBS a

type HashFunctionLBS a

data Context a

data Digest a

# Functions

digestToByteString

digestToHexByteString

hash

hashlazy

hashUpdate

hashInitAlg

# hash algorithms

data MD2

data MD4

data MD5

data SHA1

data SHA224

data SHA256

data SHA384

data SHA512

data RIPEMD160

data Tiger

data SHA3_224

data SHA3_256

data SHA3_384

data SHA3_512

data Skein256_224

data Skein256_256

data Skein512_224

data Skein512_256

data Skein512_384

data Skein512_512

data Whirlpool

# MAC algorithms

data HMAC a

hmac

hmacAlg